## Retrieve **get** `/api/v2/messages/{message_id}` Retrieve details of a specific message by its ID ### Path Parameters - `message_id: string` ### Returns - `data: optional object { accountEmail, content, date_sent, 22 more }` - `accountEmail: optional string` Email of the account - `content: optional string` Message content - `date_sent: optional string` When the message was sent - `date_updated: optional string` When the message was last updated - `error_code: optional number` Numeric error code if message failed - `error_detail: optional string` Detailed error information - `error_message: optional string` Error message if message failed - `error_reason: optional string` Error reason if message failed - `from_number: optional string` Sender phone number - `group_display_name: optional string` Display name for group messages - `group_id: optional string` Group ID for group messages - `is_outbound: optional boolean` Whether this is an outbound message - `media_url: optional string` URL of attached media - `message_handle: optional string` Unique message identifier - `message_type: optional "message" or "group"` - `"message"` - `"group"` - `number: optional string` Primary phone number (to_number for outbound, from_number for inbound) - `opted_out: optional boolean` Whether the recipient has opted out - `participants: optional array of string` List of participants for group messages - `plan: optional string` Account plan used for this message - `send_style: optional "celebration" or "shooting_star" or "fireworks" or 10 more` The iMessage expressive message style - `"celebration"` - `"shooting_star"` - `"fireworks"` - `"lasers"` - `"love"` - `"confetti"` - `"balloons"` - `"spotlight"` - `"echo"` - `"invisible"` - `"gentle"` - `"loud"` - `"slam"` - `sendblue_number: optional string` Sendblue phone number used - `service: optional "iMessage" or "SMS" or "RCS"` The messaging service used - `"iMessage"` - `"SMS"` - `"RCS"` - `status: optional "REGISTERED" or "PENDING" or "SENT" or 7 more` - `"REGISTERED"` - `"PENDING"` - `"SENT"` - `"DELIVERED"` - `"RECEIVED"` - `"QUEUED"` - `"ERROR"` - `"DECLINED"` - `"ACCEPTED"` - `"SUCCESS"` - `to_number: optional string` Recipient phone number - `was_downgraded: optional boolean` Whether the message was downgraded from iMessage to SMS - `status: optional string` ### Example ```http curl https://api.sendblue.co/api/v2/messages/$MESSAGE_ID \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" ```